
package de.ivu.elect.presentation.entschaedigung.exchange;

import de.ivu.elect.business.exchange.entity.DateiExportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.entschaedigung.menu.AuszahlungPageMenu;
import de.ivu.elect.presentation.exchange.ExportDescription;

public class AuszahlungExportDescription implements ExportDescription {

  private static final long serialVersionUID = 1L;

  public AuszahlungExportDescription() {
    super();
  }

  @Override
  public boolean isSpecificPerWahl() {
    return false;
  }

  @Override
  public boolean isSpecificPerWahltermin() {
    return true;
  }

  @Override
  public String getExportSearchViewId() {
    return AuszahlungExportView.VIEW_ID;
  }

  @Override
  public String getPageMenuComponentName() {
    return AuszahlungPageMenu.COMPONENT_NAME;
  }

  @Override
  public DateiExportArt getDateiExportArt() {
    return DateiExportArt.KONTODATEN_EXPORT;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.KONTODATEN_EXPORTIEREN;
  }
}
